Skip to main content

Request

[GET]
{{baseURL}}/api/v1/zm/kyc/nrc
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
nrcstringNational Registration Cardrequired

Sample response

Response
{
    "entity": {
        "taxpayer_name": "John Doe",
        "current_status": "ACTIVE",
        "is_deregistered": 0,
        "tax_types": "",
        "nrc": "123456/78/9",
        "tpin": "1234567890"

    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.taxpayer_namestringRegistered name of the taxpayer
entity.current_statusstringCurrent status of the registration (e.g., ACTIVE)
entity.is_deregisterednumberDeregistration flag (0 = not deregistered, 1 = deregistered)
entity.tax_typesstringRegistered tax types for the individual
entity.nrcstringNational Registration Card number
entity.tpinstringTaxpayer Identification Number (TPIN)